Compile a Hello World from Typescript to Lua
=============

With the help of
[https://typescripttolua.github.io/](https://typescripttolua.github.io/)


compile

```
console.log("Hello");
```


to:
```lua
print("Hello")
```




## Sources
 
[index.ts](20240910_hello-typescript-lua_v2/index.ts.txt)
```{#index.ts .js .numberLines }
console.log("Hello");
```
 
[tsconfig.json](20240910_hello-typescript-lua_v2/tsconfig.json.txt)
```{#tsconfig.json .js .numberLines }
{
  "$schema": "https://raw.githubusercontent.com/TypeScriptToLua/TypeScriptToLua/master/tsconfig-schema.json",
  "compilerOptions": {
    "target": "ESNext",
    "lib": ["ESNext","dom" ],
    "moduleResolution": "Node",
    "types": [],
    "strict": true
  },
  "tstl": {
    "luaTarget": "JIT"
  }
}
```
 
[package.json](20240910_hello-typescript-lua_v2/package.json.txt)
```{#package.json .js .numberLines }
{
  "private": true,
  "scripts": {
    "build": "tstl",
    "dev": "tstl --watch"
  },
  "devDependencies": {
    "typescript-to-lua": "..."
  }
}
```

## Download

[20240910_hello-typescript-lua_v2_192456.zip](20240910_hello-typescript-lua_v2_192456.zip)
  
--
  
    created by:   ben@srctxt.com  
    last edited:  10.09.2024, 13:30:25  
    generated:    10.09.2024, 19:24:56  

article source: [hello-typescript-lua_v2](20240910_hello-typescript-lua_v2/hello-typescript-lua_v2.md.txt)
